### Function

# Dex param_spec_object

unstable since: 1.2

#### Declaration [src]

    GParamSpec*
    dex_param_spec_object (
      const char* name,
      const char* nick,
      const char* blurb,
      GType object_type,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpec` instance specifying a `DEX_TYPE_OBJECT` derived property.

This is similar to `g_param_spec_object()`, but for `DexObject` instances such as `DexFuture`.

Available since: 1.2

#### Parameters

`name`

  Type: `const char*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const char*`

  Nick name for the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const char*`

  Description of the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_type`

  Type: `GType`

  A `DEX_TYPE_OBJECT` derived type for this property.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.